package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.common.module.entity.Project;
import cn.com.ctop.common.module.service.IProjectService;
import cn.com.ctop.kuaishou.modules.batch.service.IKuaishouProjectVideoGetService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * 清洗项目素材
 *
 * @param
 * @author ZHAOXA
 * @return
 * @throws
 */
@Component
public class KuaishouProjectVideoGetJob {
    @Autowired
    private IKuaishouProjectVideoGetService projectVideoGetService;
    @Autowired
    private IProjectService projectService;
    static ExecutorService executorService = Executors.newFixedThreadPool(5);

    @XxlJob("kuaishouProjectVideoGetJob")
    public void kuaishouProjectVideoGetJob() {
        //2快手，1开启的项目
        List<Project> projects = projectService.listByMediaType(2, 1);
        projects.forEach(project -> executorService.submit(() -> {
            projectVideoGetService.clearProjectVideo(project.getId());
        }));
        XxlJobHelper.log("清洗项目素材完成");
    }
}
