package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import cn.com.ctop.common.module.utils.Check;
import cn.com.ctop.kuaishou.modules.batch.service.IKuaiShouVideoGetService;
import com.alibaba.fastjson.JSONObject;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * 同步素造素材供应商
 *
 * @param
 * @author ZHAOXA
 * @return
 * @throws
 */
@Component
public class KuaishouSupplierVideoGetJob {
    @Autowired
    private IKuaiShouVideoGetService videoGetService;
    @Autowired
    private ICtopOauthTokenService tokenService;
    static ExecutorService executorService = Executors.newFixedThreadPool(5);

    @XxlJob("kuaishouSupplierVideoGetJob")
    public void KuaishouSupplierVideoGetJob() {
        List<JSONObject> datas = videoGetService.getAccountIds();
        for (JSONObject data : datas) {
            CtopOauthToken token = tokenService.getTokenByAccountId(data.getLong("accountId"));
            if (Check.isNull(token)) {
                continue;
            }
            executorService.submit(new Runnable() {
                @Override
                public void run() {
                    videoGetService.getSuZaoList(token.getAccessToken(), data.getLong("accountId"), 1, data.getString("startDate"));
                }
            });
        }
        XxlJobHelper.log("同步素造素材供应商完成");
    }
}
