package cn.com.ctop.kuaishou.modules.ai.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 人群包模板和账户绑定关系表
 * @author jeecg-boot
 * @date   2021-05-07
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_population_package_rel")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_kuaishou_population_package_rel对象", description="人群包模板和账户绑定关系表")
public class KuaishouPopulationPackageRel {
    
	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	/**本地人群模板ID*/
	@Excel(name = "本地人群模板ID", width = 15)
    @ApiModelProperty(value = "本地人群模板ID")
	private Long popId;
	/**项目ID*/
	@Excel(name = "项目ID", width = 15)
    @ApiModelProperty(value = "项目ID")
	private Long projectId;
	/**账户ID*/
	@Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
	private Long accountId;
	/**上传日期*/
	@Excel(name = "上传日期", width = 15)
    @ApiModelProperty(value = "上传日期")
	private String statDate;
	/**人群包ID*/
	@Excel(name = "人群包ID", width = 15)
    @ApiModelProperty(value = "人群包ID")
	private Long orientationId;
	/**人群包名称*/
	@Excel(name = "人群包名称", width = 15)
    @ApiModelProperty(value = "人群包名称")
	private String orientationName;
	/**人群包类型 1上传人群,2广告人群,3主题专区,4逻辑规则,5人群扩展,6平台定制,7定制付费...*/
	@Excel(name = "人群包类型 1上传人群,2广告人群,3主题专区,4逻辑规则,5人群扩展,6平台定制,7定制付费...", width = 15)
    @ApiModelProperty(value = "人群包类型 1上传人群,2广告人群,3主题专区,4逻辑规则,5人群扩展,6平台定制,7定制付费...")
	private String populationType;
	/**匹配类型 1：IMEI；2：IDFA；3：IMEI_MD5；4：IDFA_MD5；5：手机号-MD5；7：OAID；8：OAID_MD5*/
	@Excel(name = "匹配类型 1：IMEI；2：IDFA；3：IMEI_MD5；4：IDFA_MD5；5：手机号-MD5；7：OAID；8：OAID_MD5", width = 15)
    @ApiModelProperty(value = "匹配类型 1：IMEI；2：IDFA；3：IMEI_MD5；4：IDFA_MD5；5：手机号-MD5；7：OAID；8：OAID_MD5")
	private Integer type;
	/**状态 0计算中,1已生效,2已删除,3推送中,4已推送,5计算失败,6推送失败,7已失效*/
	@Excel(name = "状态 0计算中,1已生效,2已删除,3推送中,4已推送,5计算失败,6推送失败,7已失效", width = 15)
    @ApiModelProperty(value = "状态 0计算中,1已生效,2已删除,3推送中,4已推送,5计算失败,6推送失败,7已失效")
	private Integer status;
	/**0成功，1失败*/
	private Integer dataStatus;
	/**覆盖人群*/
	@Excel(name = "覆盖人群", width = 15)
    @ApiModelProperty(value = "覆盖人群")
	private Long coverNum;
	/**上传数量*/
	@Excel(name = "上传数量", width = 15)
    @ApiModelProperty(value = "上传数量")
	private Long recordSize;
	/**匹配数量*/
	@Excel(name = "匹配数量", width = 15)
    @ApiModelProperty(value = "匹配数量")
	private Long matchSize;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**修改时间*/
	@Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
	private Date updateTime;
	/**执行结果反馈*/
	@Excel(name = "执行结果反馈", width = 15)
    @ApiModelProperty(value = "执行结果反馈")
	private String message;
	private String signature;
}
